IdealComparatorHelpers Namespace Reference

## Functions

template<class MyIdeal, class MyTermCompare>
bool | idealLessThanImpl (const MyIdeal &a, const MyIdeal &b, const MyTermCompare &predicate)
bool | idealLessThan (const BigIdeal &a, const BigIdeal &b)
bool | idealLessThan (const Ideal &a, const Ideal &b)
bool | idealLessThan (const Ideal &a, const Ideal &b, TermTranslator &translator)

## Function Documentation

## idealLessThan() [1/3]

bool IdealComparatorHelpers::idealLessThan | ( | const BigIdeal & | a,
|  | const BigIdeal & | b )

Definition at line 52 of file IdealComparator.cpp.

## idealLessThan() [2/3]

bool IdealComparatorHelpers::idealLessThan | ( | const Ideal & | a,
|  | const Ideal & | b )

Definition at line 61 of file IdealComparator.cpp.

## idealLessThan() [3/3]

bool IdealComparatorHelpers::idealLessThan | ( | const Ideal & | a,
|  | const Ideal & | b,
|  | TermTranslator & | translator )

Definition at line 67 of file IdealComparator.cpp.

## idealLessThanImpl()

template<class MyIdeal, class MyTermCompare>

bool IdealComparatorHelpers::idealLessThanImpl | ( | const MyIdeal & | a,
|  | const MyIdeal & | b,
|  | const MyTermCompare & | predicate )

Definition at line 33 of file IdealComparator.cpp.